package intrinsic.mx.accessibility;

public class ListBaseAccImpl extends intrinsic.mx.accessibility.AccImpl {

	/** Accessors */

	/** Variables */
	public int errno;
	public boolean stub;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ListBaseAccImpl() {
}

public ListBaseAccImpl(Object arg0) {
}


/** Static Methods */
public static native void enableAccessibility();
public static native void createAccessibilityImplementation(intrinsic.mx.core.UIComponent arg0);

/** Methods */
public native void accSelect(int arg0, int arg1);
public native String get_accDefaultAction(int arg0);
public native int get_accState(int arg0);
public native String get_accValue(int arg0);
public native intrinsic.Array getChildIDArray();
public native int get_accFocus();
public native int get_accRole(int arg0);
public native Object accLocation(int arg0);
public native void accDoDefaultAction(int arg0);
public native intrinsic.Array get_accSelection();

}
